services:
  # Aplicación Next.js 16 + Prisma 7 (Web)
  app:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: fundacion-nextjs-app
    restart: always
    env_file:
      - .env
    labels:
      - "traefik.enable=true"
      # Enrutamiento para nueva.fundaciontodoloquehesonado.com, fundaciontodoloquehesonado.com y www.fundaciontodoloquehesonado.com
      - "traefik.http.routers.fundacion-app.rule=Host(`nueva.fundaciontodoloquehesonado.com`) || Host(`fundaciontodoloquehesonado.com`) || Host(`www.fundaciontodoloquehesonado.com`)"
      - "traefik.http.routers.fundacion-app.entrypoints=websecure"
      - "traefik.http.routers.fundacion-app.tls.certresolver=myresolver"
      # Puerto 3000 interno expuesto por la app Next.js
      - "traefik.http.services.fundacion-app.loadbalancer.server.port=3000"
    networks:
      - traefik-web-network

networks:
  traefik-web-network:
    external: true
